Bug 1004760 - Review Request: ColPack - Algorithms for specialized vertex coloring problems
Review Request: ColPack - Algorithms for specialized vertex coloring problems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Benton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 08:20 EDT by Björn "besser82" Esser
Modified: 2016-08-14 12:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: ColPack-1.0.9-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
willb: fedora‑review+


Attachments (Terms of Use)
review report (10.13 KB, text/plain)
2013-09-19 14:46 EDT, Will Benton
no flags Details

  None (edit)
Description Björn "besser82" Esser 2013-09-05 08:20:24 EDT
Description:

  ColPack is a package comprising of implementation of algorithms for
  specialized vertex coloring problems that arise in sparse derivative
  computation. It is written in an object-oriented fashion heavily using
  the Standard Template Library (STL).  It is designed to be simple,
  modular, extendable and efficient.


Koji Builds:

  el5:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5898942
  el6:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5898946
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5898950
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5898953
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5898956
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5898960


Issues:

  fedora-review shows no issues, rpmlint reports some false positives.


Fedora Account System Username:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/ColPack.spec
  SRPM URL: http://besser82.fedorapeople.org/review/ColPack-1.0.9-1.fc19.src.rpm

#####

Thanks for review in advance!
Comment 2 Will Benton 2013-09-19 14:46:09 EDT
Created attachment 800074 [details]
review report

Thanks for your careful work, Björn.  Please fix the permissions issue in the debuginfo package on import (and also consider removing the GPL COPYING file, since this package appears to be covered exclusively by the LGPL).
Comment 3 Björn "besser82" Esser 2013-09-19 14:51:59 EDT
Thanks for the review, Will!

#####

New Package SCM Request
=======================
Package Name: ColPack
Short Description: Algorithms for specialized vertex coloring problems
Owners: besser82
Branches: el5 el6 f18 f19 f20
InitialCC:
Comment 4 Gwyn Ciesla 2013-09-19 15:13:07 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-09-19 15:42:18 EDT
ColPack-1.0.9-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ColPack-1.0.9-1.el5
Comment 6 Fedora Update System 2013-09-19 15:42:53 EDT
ColPack-1.0.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ColPack-1.0.9-1.el6
Comment 7 Fedora Update System 2013-09-19 15:43:16 EDT
ColPack-1.0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ColPack-1.0.9-1.fc18
Comment 8 Fedora Update System 2013-09-19 15:44:17 EDT
ColPack-1.0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ColPack-1.0.9-1.fc19
Comment 9 Fedora Update System 2013-09-19 15:44:43 EDT
ColPack-1.0.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ColPack-1.0.9-1.fc20
Comment 10 Fedora Update System 2013-09-20 14:55:36 EDT
ColPack-1.0.9-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 11 Björn "besser82" Esser 2013-09-23 15:45:49 EDT
Package Change Request
======================
Package Name: ColPack
Owners: ml-sig besser82
Branches: el5 el6 f18 f19 f20
Comment 12 Gwyn Ciesla 2013-09-23 16:09:03 EDT
Complete.
Comment 13 Fedora Update System 2013-09-26 20:38:46 EDT
ColPack-1.0.9-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2013-09-28 21:23:36 EDT
ColPack-1.0.9-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-09-28 21:38:38 EDT
ColPack-1.0.9-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-10-08 13:44:05 EDT
ColPack-1.0.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Fedora Update System 2013-10-08 13:44:41 EDT
ColPack-1.0.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.